Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas.callback
Class DefaultCallbackHandler

    java.lang.Object
      org.mortbay.jetty.plus.jaas.callback.AbstractCallbackHandler
          org.mortbay.jetty.plus.jaas.callback.DefaultCallbackHandler

All Implemented Interfaces:
  CallbackHandler

    public class DefaultCallbackHandler

extends AbstractCallbackHandler

DefaultUsernameCredentialCallbackHandler

#### Notes

#### Usage

###

###

###

    Field Summary

    Fields inherited from class org.mortbay.jetty.plus.jaas.callback.AbstractCallbackHandler

    _credential, _userName

    Constructor Summary

    DefaultCallbackHandler()

    Method Summary

     void
    handle(Callback[] callbacks)

     void
    setRequest(Request request)

    Methods inherited from class org.mortbay.jetty.plus.jaas.callback.AbstractCallbackHandler

    getCredential, getUserName, setCredential, setUserName

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    DefaultCallbackHandler

    public DefaultCallbackHandler()

    Method Detail

    setRequest

    public void setRequest(Request request)

    handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

    Specified by:handle in interface CallbackHandlerOverrides:handle in class AbstractCallbackHandler

    Throws:
    IOException
    UnsupportedCallbackException

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 2007 Mort Bay Consulting. All Rights Reserved.